"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useScreenDimensions = void 0;
const react_1 = require("react");
const react_native_1 = require("react-native");
function useScreenDimensions() {
    const initialDimensions = react_native_1.Dimensions.get('screen');
    const [width, setWidth] = (0, react_1.useState)(initialDimensions.width);
    const [height, setHeight] = (0, react_1.useState)(initialDimensions.height);
    const handleChange = ({ screen }) => {
        setWidth(screen.width);
        setHeight(screen.height);
    };
    (0, react_1.useEffect)(() => {
        const sub = react_native_1.Dimensions.addEventListener('change', handleChange);
        return () => {
            sub.remove();
        };
    }, []);
    return { width, height };
}
exports.useScreenDimensions = useScreenDimensions;
